List the users enrolled in a program
curl --request GET \
--url https://sandbox-api.va.meridianpay.com/v1/users \
--header 'X-Meridian-Api-Key: <x-meridian-api-key>' \
--header 'X-Meridian-Program-Id: <x-meridian-program-id>' \
--header 'X-Meridian-Signature: <api-key>' \
--header 'X-Meridian-Timestamp: <x-meridian-timestamp>'import requests
url = "https://sandbox-api.va.meridianpay.com/v1/users"
headers = {
"X-Meridian-Api-Key": "<x-meridian-api-key>",
"X-Meridian-Timestamp": "<x-meridian-timestamp>",
"X-Meridian-Program-Id": "<x-meridian-program-id>",
"X-Meridian-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Meridian-Api-Key': '<x-meridian-api-key>',
'X-Meridian-Timestamp': '<x-meridian-timestamp>',
'X-Meridian-Program-Id': '<x-meridian-program-id>',
'X-Meridian-Signature': '<api-key>'
}
};
fetch('https://sandbox-api.va.meridianpay.com/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.va.meridianpay.com/v1/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Meridian-Api-Key: <x-meridian-api-key>",
"X-Meridian-Program-Id: <x-meridian-program-id>",
"X-Meridian-Signature: <api-key>",
"X-Meridian-Timestamp: <x-meridian-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.va.meridianpay.com/v1/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Meridian-Api-Key", "<x-meridian-api-key>")
req.Header.Add("X-Meridian-Timestamp", "<x-meridian-timestamp>")
req.Header.Add("X-Meridian-Program-Id", "<x-meridian-program-id>")
req.Header.Add("X-Meridian-Signature", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.va.meridianpay.com/v1/users")
.header("X-Meridian-Api-Key", "<x-meridian-api-key>")
.header("X-Meridian-Timestamp", "<x-meridian-timestamp>")
.header("X-Meridian-Program-Id", "<x-meridian-program-id>")
.header("X-Meridian-Signature", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.va.meridianpay.com/v1/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Meridian-Api-Key"] = '<x-meridian-api-key>'
request["X-Meridian-Timestamp"] = '<x-meridian-timestamp>'
request["X-Meridian-Program-Id"] = '<x-meridian-program-id>'
request["X-Meridian-Signature"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"userId": "ususr-h2vuw0jaswgpzyxluhpz2709",
"externalId": "partner-user-123",
"type": "PERSON",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"enrollmentStatus": "ACTIVE",
"createdAt": "2026-06-09T14:30:00Z",
"updatedAt": "2026-06-09T15:20:00Z"
},
{
"userId": "ususr-coxxvofk5km4tz1r28c7gcfk",
"externalId": "partner-user-124",
"type": "PERSON",
"name": "John Smith",
"email": "john.smith@example.com",
"enrollmentStatus": "INACTIVE",
"enrollmentStatusReason": "ACTIVATION_REJECTED",
"createdAt": "2026-06-08T09:05:00Z",
"updatedAt": "2026-06-08T11:42:00Z"
},
{
"userId": "ususr-8mzq1lp4xdnr6vtk93wybj0s",
"externalId": "partner-business-77",
"type": "BUSINESS",
"name": "Acme Inc",
"enrollmentStatus": "ACTIVE",
"createdAt": "2026-06-01T10:00:00Z",
"updatedAt": "2026-06-02T08:15:00Z"
}
],
"pageIndex": 0,
"pageSize": 25,
"totalRecords": 3
}Users
List the users enrolled in a program
Returns the users that have an enrollment on the program identified by the X-Meridian-Program-Id header, newest first. A user created through POST /v1/auth/users appears here once enrollment has started. Both SINGLE_USER and MULTI_USER integrations may call this endpoint; no X-Meridian-User-Id header is required.
GET
/
v1
/
users
List the users enrolled in a program
curl --request GET \
--url https://sandbox-api.va.meridianpay.com/v1/users \
--header 'X-Meridian-Api-Key: <x-meridian-api-key>' \
--header 'X-Meridian-Program-Id: <x-meridian-program-id>' \
--header 'X-Meridian-Signature: <api-key>' \
--header 'X-Meridian-Timestamp: <x-meridian-timestamp>'import requests
url = "https://sandbox-api.va.meridianpay.com/v1/users"
headers = {
"X-Meridian-Api-Key": "<x-meridian-api-key>",
"X-Meridian-Timestamp": "<x-meridian-timestamp>",
"X-Meridian-Program-Id": "<x-meridian-program-id>",
"X-Meridian-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Meridian-Api-Key': '<x-meridian-api-key>',
'X-Meridian-Timestamp': '<x-meridian-timestamp>',
'X-Meridian-Program-Id': '<x-meridian-program-id>',
'X-Meridian-Signature': '<api-key>'
}
};
fetch('https://sandbox-api.va.meridianpay.com/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.va.meridianpay.com/v1/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Meridian-Api-Key: <x-meridian-api-key>",
"X-Meridian-Program-Id: <x-meridian-program-id>",
"X-Meridian-Signature: <api-key>",
"X-Meridian-Timestamp: <x-meridian-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.va.meridianpay.com/v1/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Meridian-Api-Key", "<x-meridian-api-key>")
req.Header.Add("X-Meridian-Timestamp", "<x-meridian-timestamp>")
req.Header.Add("X-Meridian-Program-Id", "<x-meridian-program-id>")
req.Header.Add("X-Meridian-Signature", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.va.meridianpay.com/v1/users")
.header("X-Meridian-Api-Key", "<x-meridian-api-key>")
.header("X-Meridian-Timestamp", "<x-meridian-timestamp>")
.header("X-Meridian-Program-Id", "<x-meridian-program-id>")
.header("X-Meridian-Signature", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.va.meridianpay.com/v1/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Meridian-Api-Key"] = '<x-meridian-api-key>'
request["X-Meridian-Timestamp"] = '<x-meridian-timestamp>'
request["X-Meridian-Program-Id"] = '<x-meridian-program-id>'
request["X-Meridian-Signature"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"userId": "ususr-h2vuw0jaswgpzyxluhpz2709",
"externalId": "partner-user-123",
"type": "PERSON",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"enrollmentStatus": "ACTIVE",
"createdAt": "2026-06-09T14:30:00Z",
"updatedAt": "2026-06-09T15:20:00Z"
},
{
"userId": "ususr-coxxvofk5km4tz1r28c7gcfk",
"externalId": "partner-user-124",
"type": "PERSON",
"name": "John Smith",
"email": "john.smith@example.com",
"enrollmentStatus": "INACTIVE",
"enrollmentStatusReason": "ACTIVATION_REJECTED",
"createdAt": "2026-06-08T09:05:00Z",
"updatedAt": "2026-06-08T11:42:00Z"
},
{
"userId": "ususr-8mzq1lp4xdnr6vtk93wybj0s",
"externalId": "partner-business-77",
"type": "BUSINESS",
"name": "Acme Inc",
"enrollmentStatus": "ACTIVE",
"createdAt": "2026-06-01T10:00:00Z",
"updatedAt": "2026-06-02T08:15:00Z"
}
],
"pageIndex": 0,
"pageSize": 25,
"totalRecords": 3
}Authorizations
Meridian HMAC header authentication, for server-to-server calls.
Required headers:
X-Meridian-Api-KeyX-Meridian-TimestampX-Meridian-Program-IdX-Meridian-User-Id(MULTI_USER integrations only)X-Meridian-Signature
X-Meridian-Signature is the HMAC SHA-256 signature of the canonical request string, computed per request. See Authentication for how to construct it.
Headers
Query Parameters
Response
The users enrolled in the requested program
Users enrolled in the requested program